version: '3'
services:
  solr:
    build: .
    container_name: solr_solr
    ports:
      - 8983
    environment:
      - VIRTUAL_HOST=solr.dev.docker
  nginx-proxy:
    image: jwilder/nginx-proxy
    container_name: solr_proxy
    ports:
      - 80:80
      - 443:443
    volumes:
      - /var/run/docker.sock:/tmp/docker.sock:ro
      - ../_shared/certs:/etc/nginx/certs
      - ../_shared/nginx/webdev-nginx.conf:/etc/nginx/conf.d/webdev-nginx.conf
